summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Peter Dambier2019-11-23 00:52:54 +0100
committer Willy Sudiarto Raharjo2019-11-23 00:52:54 +0100
commitbd55645a968ac13e53009cb2ae58cd3496f2a533 (patch)
tree2f1d700ccde57da4ef65b5d56d5dc80112490dc9 /graphics
parent07a4c06665417ea6d2ca94037303d032f094dfcd (diff)
downloadslackbuilds-bd55645a968ac13e53009cb2ae58cd3496f2a533.tar.gz
graphics/xdaliclock: Added (melting digital clock).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/xdaliclock/README5
-rw-r--r--graphics/xdaliclock/doinst.sh2
-rw-r--r--graphics/xdaliclock/slack-desc19
-rw-r--r--graphics/xdaliclock/xdaliclock.SlackBuild105
-rw-r--r--graphics/xdaliclock/xdaliclock.info10
5 files changed, 141 insertions, 0 deletions
diff --git a/graphics/xdaliclock/README b/graphics/xdaliclock/README
new file mode 100644
index 0000000000..d948083b4e
--- /dev/null
+++ b/graphics/xdaliclock/README
@@ -0,0 +1,5 @@
+xdaliclock displays a melting time or date
+the digits are melting into their new shape
+Click and hold the mouse ot switch from time to date
+
+inspired by Alto and Macintosh programmes written by Steve Capps
diff --git a/graphics/xdaliclock/doinst.sh b/graphics/xdaliclock/doinst.sh
new file mode 100644
index 0000000000..21f456f953
--- /dev/null
+++ b/graphics/xdaliclock/doinst.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+#
diff --git a/graphics/xdaliclock/slack-desc b/graphics/xdaliclock/slack-desc
new file mode 100644
index 0000000000..b559400d04
--- /dev/null
+++ b/graphics/xdaliclock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xdaliclock: xdaliclock (melting digital clock)
+xdaliclock:
+xdaliclock: xdaliclock displays a melting time or date
+xdaliclock: the digits are melting into their new shape
+xdaliclock: Click and hold the mouse ot switch from time to date
+xdaliclock:
+xdaliclock: inspired by Alto and Macintosh programmes written by Steve Capps
+xdaliclock:
+xdaliclock:
+xdaliclock:
+xdaliclock:
diff --git a/graphics/xdaliclock/xdaliclock.SlackBuild b/graphics/xdaliclock/xdaliclock.SlackBuild
new file mode 100644
index 0000000000..2b6484e120
--- /dev/null
+++ b/graphics/xdaliclock/xdaliclock.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for xdaliclock
+
+# Copyright 2019 Peter Dambier
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xdaliclock
+VERSION=${VERSION:-2.44}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION/X11
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+
+mkdir $PKG/usr
+mkdir $PKG/usr/bin $PKG/usr/man
+mkdir $PKG/usr/man/man1
+install $PRGNAM $PKG/usr/bin/$PRGNAM
+install $PRGNAM.man $PKG/usr/man/man1/$PRGNAM.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/xdaliclock/xdaliclock.info b/graphics/xdaliclock/xdaliclock.info
new file mode 100644
index 0000000000..bea9515358
--- /dev/null
+++ b/graphics/xdaliclock/xdaliclock.info
@@ -0,0 +1,10 @@
+PRGNAM="xdaliclock"
+VERSION="2.44"
+HOMEPAGE="https://www.jwz.org/xdaliclock"
+DOWNLOAD="https://www.jwz.org/xdaliclock/xdaliclock-2.44.tar.gz"
+MD5SUM="5aaf72806e15f501c33d3d8453876e42"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Peter Dambier"
+EMAIL="peter@peter-dambier.de"